<?php
/**
 * Created by PhpStorm.
 * User: simon
 * Date: 13-Nov-17
 * Time: 20:46
 */

namespace Firesphere\GoogleAPI\Tests;

use Firesphere\GoogleAPI\Reports\GoogleVisitReport;
use SilverStripe\CMS\Model\SiteTree;
use SilverStripe\Dev\SapphireTest;
use SilverStripe\ORM\DataList;

class GoogleVisitReportTest extends SapphireTest
{

    /**
     * @var GoogleVisitReport
     */
    protected $report;


    protected function setUp()
    {
        $this->report = GoogleVisitReport::create();

        return parent::setUp(); // TODO: Change the autogenerated stub
    }

    public function testTitle()
    {
        $this->assertEquals('Visitcount from Google Analytics', $this->report->getTitle());
    }

    public function testSourceRecords()
    {
        $this->assertInstanceOf(DataList::class, $this->report->sourceRecords());
        foreach ($this->report->sourceRecords() as $record) {
            $this->assertInstanceOf(SiteTree::class, $record);
        }
    }

    public function testColumns()
    {
        $expected = [
            'Title'      => [
                'title' => 'Title',
                'link'  => true,
            ],
            'VisitCount' => 'Visits'
        ];

        $this->assertEquals($expected, $this->report->columns());
    }
}
